module.exports = function (config) {
    config.set({
        frameworks: ['jasmine'],
        files: [
            {
                pattern: 'test-context.js', watched: false
            }
        ],
        
        exclude: [],
        
        preprocessors: {
            'test-context.js': ['webpack', 'coverage']
        },
        
        webpack: {
            devtool: 'source-map',
            module: {
                loaders: [
                    {
                        test: /\.js/,
                        exclude: /node_modules/,
                        loader: 'babel-loader',
                        query: {
                            presets: ['es2015', 'stage-0', 'stage-1']
                        }
                    },
                    {
                        test: /\.json$/,
                        use: 'json-loader'
                    }
                ]
            }
            
        },
        
        reporters: ['progress', 'coverage'],
        
        coverageReporter: {
            type: 'text'
        },
        
        browsers: ['Chrome_no_sandbox'],
        
        customLaunchers: {
            Chrome_no_sandbox: {
                base: 'Chrome',
                flags: ['--no-sandbox']
            }
        },
        
        captureConsole: true,
        port: 9876,
        colors: true,
        singleRun: false,
        
        plugins: [
            'karma-webpack',
            'karma-jasmine',
            'karma-coverage',
            'karma-chrome-launcher',
            'karma-teamcity-reporter',
        ]
    });
};