'use strict';

const express = require('express'),
    path = require('path'),
    bodyParser = require('body-parser'),
    app = express(),
    fs = require('fs'),
    mustache = require('mustache-express');

app.use('/', express.static('./dist'));

app.use(function (req, res, next) {
    res.setHeader('Access-Control-Allow-Origin', '*');
    res.setHeader('Access-Control-Allow-Methods', '*');
    res.setHeader('Access-Control-Allow-Headers', '*');
    return next();
});

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));

app.engine('html', mustache());
app.set('view engine', 'mustache');
app.set('views', __dirname + '/dist/html/');

app.get('/styleguide', function (req, res) {
    res.render("./styleguide.html");
});

app.get('/:id?', function (req, res) {
    var id = req.params['id'];
    res.render("./global-navigation-example.html");
});

app.get('/error/en-GB/423', function (req, res) {
    res.render("./global-navigation-example.html");
});

module.exports = app.listen('8080');